Deprecation: Mac OS X 10.10 Support for Box Sync, Box Edit, and Box Notes Desktop

Box Employee
Box Sync
  • After October 31st, 2017 Box Sync will no longer be supported on Mac OS X 10.10.  Per our OS support policy, we maintain support for Box on only the two latest versions of Mac OS X. Users must be on a supported OS (OS X 10.11 or OS X 10.12) following the EOL date.  
  • In the month prior to the EOL date, users will see an in-product notification informing them that support for 10.10 will end soon and that they should update their OS.  
  • Following the EOL date, users will still be able to access Box Sync on 10.10 but will be entirely unsupported by Box, including all security patches. 
Box Edit
  • After October 31st, 2017 Box Edit will no longer be supported on Mac OS X 10.10.  Per our OS support policy, we maintain support for Box on only the two latest versions of Mac OS X. Users must be on a supported OS (OS X 10.11 or OS X 10.12) following the EOL date. 
  • After 10/31, users on 10.10 will not be able to access Box Edit. 
Box Notes Desktop
  • After October 31st, 2017 Box Notes Desktop will no longer be supported on Mac OS X 10.10.  Per our OS support policy, we maintain support for Box on only the two latest versions of Mac OS X. Users must be on a supported OS (OS X 10.11 or OS X 10.12) following the EOL date. 
  • Following the EOL date, users will still be able to access Box Notes Desktop on 10.10 but will be entirely unsupported by Box, including all security patches. 
 
Comments
New Member

I am currently on mac 10.10.4. When I try to download box edit from 

https://www.box.com/resources/downloads, I get a version that insists on mac 10.11, and

it won't install. The note above claims 10.10 support till the end of Oct 2017.

Is there some other link that will give me a 10.10 compatible version?

Box Employee

@siggia We unfortunately do not have an older version that we can provide due to newer security enhancements that we have added with the newer versions of Box Edit. If a user is on an older version, they may be able to use that installer + 10.10 till the end of October, but we are recommending users upgrade their operating systems!

Box Employee

@siggia I just reached out to you via private message, we'd like to open a case to help you on this! Smiley Happy